# Uses of Enum Class
org.eclipse.net4j.util.confirmation.Confirmation

Packages that use Confirmation
Package
Description
org.eclipse.net4j.util.confirmation
A framework for providing confirmation from users.
org.eclipse.net4j.util.ui.confirmation
Confirmation dialogs.

## Uses of Confirmation in org.eclipse.net4j.util.confirmation

Methods in org.eclipse.net4j.util.confirmation that return Confirmation
Modifier and Type
Method
Description
`Confirmation`
IConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`.
`static Confirmation`
Confirmation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Confirmation[]`
Confirmation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.confirmation with parameters of type Confirmation
Modifier and Type
Method
Description
`Confirmation`
IConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`.
Method parameters in org.eclipse.net4j.util.confirmation with type arguments of type Confirmation
Modifier and Type
Method
Description
`Confirmation`
IConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`.

## Uses of Confirmation in org.eclipse.net4j.util.ui.confirmation

Methods in org.eclipse.net4j.util.ui.confirmation that return Confirmation
Modifier and Type
Method
Description
`Confirmation`
InteractiveConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
`static Confirmation`
ConfirmationDialog.`openConfirm(Shell shell, String title, String message, Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)`
Methods in org.eclipse.net4j.util.ui.confirmation with parameters of type Confirmation
Modifier and Type
Method
Description
`Confirmation`
InteractiveConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
`static Confirmation`
ConfirmationDialog.`openConfirm(Shell shell, String title, String message, Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)`
Method parameters in org.eclipse.net4j.util.ui.confirmation with type arguments of type Confirmation
Modifier and Type
Method
Description
`Confirmation`
InteractiveConfirmationProvider.`confirm(String subject, String message, Set<Confirmation> acceptable, Confirmation suggestion)`
`static Confirmation`
ConfirmationDialog.`openConfirm(Shell shell, String title, String message, Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)`
Constructors in org.eclipse.net4j.util.ui.confirmation with parameters of type Confirmation
Modifier
Constructor
Description
``
`ConfirmationDialog(Shell shell, String title, String message, Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)`
Constructor parameters in org.eclipse.net4j.util.ui.confirmation with type arguments of type Confirmation
Modifier
Constructor
Description
``
`ConfirmationDialog(Shell shell, String title, String message, Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)`